com.example.anna.phototag

## Class Area

- java.lang.Object
- - com.example.anna.phototag.LayerParent
  - - com.example.anna.phototag.LayerChild
    - - com.example.anna.phototag.Area

-     public class Area
      extends LayerChild

  Created by Anna on 16/04/2015.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Area(float posX, float posY, int area)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArea()`
    `java.util.ArrayList` | `getArrayArea()`
    `java.util.ArrayList` | `getArrayPosX()`
    `java.util.ArrayList` | `getArrayPosY()`
    `java.lang.Float` | `getPosX(int i)`
    `java.lang.Float` | `getPosY(int i)`
    `int` | `getSizePos()`
    `void` | `setArea(int area)` Sets the reference of the icon into the arraylist
    `void` | `setPosX(float posX)` Sets the x coorinate into the arraylist.
    `void` | `setPosY(float posY)` Sets the y coorinate into the arraylist.
    `void` | `updateAreaX(int index, float pos)` Update the x coordinate into the arraylist
    `void` | `updateAreaY(int index, float pos)` Update the y coordinate into the arraylist

    - ### Methods inherited from class com.example.anna.phototag.LayerChild

      `clearArrayListsArea, getArrayViewsArees, getDot, getImageViewChild, getImageViewChildArea, getPosAreaX, getPosAreaY, getPosXXinxeta, getPosYXinxeta, getSizePosArea, setAreaImageView, setPosAreaX, setPosAreaY, setPosXP, setPosYP, updateArrayPosX, updateArrayPosY`

    - ### Methods inherited from class com.example.anna.phototag.LayerParent

      `clearArraysArees, getArea, getChildArees, getChildDot, getDrawableChildArees, getImageView, getImageViewChildArea, getImageViewChildArees, getImageViewChildDot, getImageViewsArees, getNameLayer, getPosXArea, getPosXXinxeta, getPosYArea, getPosYXinxeta, getSizePosArees, getXinxeta, setArea, setChild, setImageView, setNameLayer, setPosXArea, setPosXXinxeta, setPosYArea, setPosYXinxeta, updatePosXArea, updatePosYArea, updateToolbar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Area

          public Area(float posX,
              float posY,
              int area)

      Parameters:
        `posX` - position x
        `posY` - position y
        `area` - reference of the icon

  - ### Method Detail

    - #### getSizePos

          public int getSizePos()

      Returns:
        returns the size of the arraylist that contains all positions

    - #### getPosX

          public java.lang.Float getPosX(int i)

      Parameters:
        `i` - index
      Returns:
        returns the coordinate x of the specific index of the arraylist.

    - #### getPosY

          public java.lang.Float getPosY(int i)

      Parameters:
        `i` - index
      Returns:
        returns the coordinate y of the specific index of the arraylist.

    - #### setPosX

          public void setPosX(float posX)

      Sets the x coorinate into the arraylist.
      Parameters:
        `posX` - position x

    - #### setPosY

          public void setPosY(float posY)

      Sets the y coorinate into the arraylist.
      Parameters:
        `posY` - position y

    - #### getArrayArea

          public java.util.ArrayList getArrayArea()

      Returns:
        returns the arraylist of all references of icons.

    - #### getArea

          public int getArea()

      Overrides:
        `getArea` in class `LayerChild`
      Returns:
        returns the reference of an icon

    - #### getArrayPosX

          public java.util.ArrayList getArrayPosX()

      Returns:
        returns the x coordinate.

    - #### getArrayPosY

          public java.util.ArrayList getArrayPosY()

      Returns:
        returns the y coordinate.

    - #### setArea

          public void setArea(int area)

      Sets the reference of the icon into the arraylist
      Parameters:
        `area` - reference of the icon

    - #### updateAreaX

          public void updateAreaX(int index,
                         float pos)

      Update the x coordinate into the arraylist
      Parameters:
        `index` - index
        `pos` - coordinate x

    - #### updateAreaY

          public void updateAreaY(int index,
                         float pos)

      Update the y coordinate into the arraylist
      Parameters:
        `index` - index
        `pos` - coordinate y